
import java.io.*;
import java.net.*;

/**
 * 聊天室客户端
 */
public class ChatRoomClient {
	private Socket socket;// 客户端套接字
	private BufferedReader bufferReader;// 字节流读取套接字输入流
	private PrintWriter pWriter;// 字节流写入套接字输出流

	/**
	 * 聊天室客户端的构造方法
	 * 
	 * @param host
	 *            服务器的IP地址
	 * @param port
	 *            服务器与客户端互联的端口
	 */
	public ChatRoomClient(String host, int port) throws UnknownHostException, IOException {
		socket = new Socket(host, port);// 连接服务器
		bufferReader = new BufferedReader(new InputStreamReader(socket.getInputStream()));// 字节流读取套接字输入流
		pWriter = new PrintWriter(socket.getOutputStream());// 字节流写入套接字输出流
	}

	/**
	 * 聊天室客户端发送消息的方法
	 * 
	 * @param str	客户端发送的消息
	 */
	public void sendMessage(String str) {// 发送消息
		pWriter.println(str);
		pWriter.flush();
	}

	/**
	 * 聊天室客户端获取消息的方法
	 * 
	 * @return 读取某个客户端发送的消息
	 */
	public String reciveMessage() {// 获取消息
		try {
			return bufferReader.readLine();
		} catch (IOException e) {
			e.printStackTrace();
		}
		return null;
	}

	/**
	 * 关闭套接字连接的方法
	 */
	public void close() {// 关闭套接字连接
		try {
			socket.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
